2024-07-13 12:45 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005061Barbarian_Psygnosis[All Projects] Generalpublic2021-03-15 02:09
Reporterretrogamer 
Assigned ToCFOUProject InfoBarbarian (Psygnosis) (Psygnosis)
http://www.whdload.de/games/Barbarian_Psygnosis.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0005061: Game crashes with 68010 cpu I get an "Illegal Instuctor" error after the
DescriptionGameVersion: english,pal,2 disks
SlaveVersion: 1.1 from 20.05.2001

Game crashes with 68010 cpu I get an "Illegal Instuctor" error after the Whdload splash screen.
The memory requerments is set to high the game needs 512kb chip only .
Quitkey for 68000 would be nice too.
TagsNo tags attached.
MachineA600
CPU68010
CPUSpeed7
ChipSetOCS
GFXCardNone
ChipMem1 MB
FastMem0 MB
WorkbenchOS 2.1
KickROM37 - Kick 2.0
KickSoftNone
WHDLoad18.6
importedyes
Attached Files
  • ? file icon .whdl_register (3,307 bytes) 2021-03-12 22:29 -
    ************************* 26-Dec-15 16:07:27 ************************18.3.5863***
    Slave='BarbarianPsygnosis.Slave' (2480 bytes)
    ShadowMem   334040 -   365040 ( 200704) AbsolutMem    31000 -   100000 ( 847872)
    Resload     321A80 -   328044 (  26052) at 321A80  GL=$32C168
    Slave       231E40 -   2327CC (   2444) at 231E40  BaseMemSize=$100000
    attn=201(UAE,10) fc=-1 kn=0 cs=A7CE rw=1 zpt=-1 ep=0 ei=0
    setcpu=33C(DC,IC,SCB,ECB,BNCS)
    
    Exception "Illegal Instruction" ($10) at $1030 occured.
    
    $00000ffc line-a       $a800
    $00000ffe ori.b        #??$fa,d0
    $00001002 ori.b        #0,a6
    $00001006 ori.b        #0,d0
    $0000100a ori.b        #0,d0
    $0000100e ori.b        #??$fa,d0
    $00001012 ori.b        #??$c8,a6
    $00001016 ori.b        #??$71,-(a0)                   ;$0000103c
    $0000101a nop
    $0000101c move         #$2700,sr
    $00001020 move         #$2700,sr
    $00001024 move.l       ($10).w,a1
    $00001028 lea          ($103c,pc),a0
    $0000102c move.l       a0,($10).w
    1m$00001030 movec        cacr,d0
    22m$00001034 bclr         #0,d0
    $00001038 nop
    $0000103a nop
    $0000103c move.l       a1,($10).w
    $00001040 lea          ($8000),a7
    $00001046 lea          ($1050,pc),a0
    $0000104a move.l       a0,($a0).w
    $0000104e jmp          (a4)                           ;$00060008
    $00001050 jsr          ($106a,pc,d7.w)                ;$ffffe841
    $00001054 move         sr,(a7)                        ;$00007ff4
    $00001056 rte
    $00001058 jsr          ($106a,pc,d7.w)                ;$ffffe841
    $0000105c move         sr,-(a7)                       ;$00007ff4
    $0000105e move.b       (1,a7),(3,a7)                  ;$00007ff5 $00007ff7
    
    exception stackframe:
    $00007FF4 27000000 10300010
    regular stack:
    $00007FFC 00060000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $0000801C 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $0000803C 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $0000805C 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $0000807C 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx     FFFF      1600         0         0  FFFFFFFF         0  D6D6D6D6  D7D7D7D7
    Ax     103C         0    321A80  A3A3A3A3     60008  A5A5A5A5  A6A6A6A6
    
                     TTSM III   XNZVC
    PC=    103022m  SR %0010011100000000  USP=FFC00  1mSSP=7FF4
    VBR=32D168  SFC=5  DFC=5
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%000000000000000022m dmacon=%1m0010001001000000 adkcon=$1100
    intreq=%0000000000000000
    vposr....A000  vhposr...0446  joy0dat..0100  joy1dat..0000  clxdat...8000  
    pot0dat..F000  pot1dat..0000  potinp...5500  serdatr..3000  dskbytr..0000  
    deniseid.FFFC  hhposr...0014  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=0000000022m  ta=21FF<21FF	   cra=1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=0000000022m  tb=21FF<21FF	   crb=1m00000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=1111110022m  prb=1m1111111122m      pra=1m1100011122m  prb=1m11111111
           ddra=0000001122m ddrb=1m0000000022m     ddra=1m1100000022m ddrb=1m11111111
           event=00001E  icr=00  sdr=00    event=0024AE  icr=00  sdr=00
    
    ? file icon .whdl_register (3,307 bytes) 2021-03-12 22:29 +

-Relationships
+Relationships

-Notes

note ~0009708

CFOU (developer)

can you post the bug report file (not the dump)

note ~0009712

retrogamer (reporter)

Sure, Done!

note ~0009718

CFOU (developer)

ok it seems not difficult to patch

I will done it in the next week

note ~0009719

retrogamer (reporter)

Nice!

note ~0009724

CFOU (developer)

fixed soon released

note ~0009725

CFOU (developer)

fixed with v2.0 soon released
+Notes

-Issue History
Date Modified Username Field Change
2021-03-12 08:59 administrator New Issue
2021-03-12 08:59 administrator Status new => assigned
2021-03-12 08:59 administrator Assigned To => CFOU
2021-03-12 10:05 CFOU Note Added: 0009708
2021-03-12 22:29 retrogamer File Added: .whdl_register
2021-03-12 22:29 retrogamer Note Added: 0009712
2021-03-14 14:38 CFOU Note Added: 0009718
2021-03-14 14:50 retrogamer Note Added: 0009719
2021-03-15 02:08 CFOU Note Added: 0009724
2021-03-15 02:09 CFOU Status assigned => closed
2021-03-15 02:09 CFOU Resolution open => fixed
2021-03-15 02:09 CFOU Note Added: 0009725
+Issue History